AddType application/javascript .mjs

#DirectoryIndex index.html spa.html
DirectoryIndex noindex

<ifModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /

    RewriteRule ^/?api/(.*)$ http://tibi-server:8080/api/v1/_/demo/$1 [P,QSA,L]

    # set in vhost or global in apache
    #SSLProxyEngine On
    #SSLProxyVerify none 
    #SSLProxyCheckPeerCN off
    #SSLProxyCheckPeerName off
    #SSLProxyCheckPeerExpire off

    # Set the Host header for requests to sentry
    RequestHeader set Host sentry.basehosts.de env=proxy-sentry
    RequestHeader unset Authorization env=proxy-sentry
    # need to update project id
    RewriteRule ^/?_s(.*)$ https://sentry.basehosts.de/api/__PROJECT_ID__/envelope/$1 [P,L,E=proxy-sentry:1]

    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule ^/?(.*)$ http://tibi-server:8080/api/v1/_/demo/ssr?token=owshwerNwoa&url=/$1 [P,QSA,L]
    #RewriteRule (.*) /spa.html [QSA,L]

</ifModule>
